Package ru.bitel.bgbilling.modules.rscm.common.bean

# Class RSCMServiceDto

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.rscm.common.bean.RSCMServiceDto

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class RSCMServiceDto extends IdTitle

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RSCMServiceDto()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getPaymentMode()`
  `int`
  `getPayments()`
  `boolean`
  `isInstallment()`
  `RSCMServiceDto`
  `setId(int id)`
  Устанавливает id объекта
  `RSCMServiceDto`
  `setInstallment(boolean installment)`
  `RSCMServiceDto`
  `setPaymentMode(String paymentMode)`
  `RSCMServiceDto`
  `setPayments(int payments)`
  `RSCMServiceDto`
  `setTitle(String title)`
  Устанавливает название (описание) объекта

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### RSCMServiceDto

    public RSCMServiceDto()

- ## Method Details

  - ### getPaymentMode

    public String getPaymentMode()

  - ### getPayments

    public int getPayments()

  - ### isInstallment

    public boolean isInstallment()

  - ### setId

    public RSCMServiceDto setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setInstallment

    public RSCMServiceDto setInstallment(boolean installment)

  - ### setPaymentMode

    public RSCMServiceDto setPaymentMode(String paymentMode)

  - ### setPayments

    public RSCMServiceDto setPayments(int payments)

  - ### setTitle

    public RSCMServiceDto setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`